Bug 220730 - Review Request: gpodder - Podcast receiver/catcher written in Python
Review Request: gpodder - Podcast receiver/catcher written in Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-24 18:15 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 01:48:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2006-12-24 18:15:00 EST
Spec URL: 
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/gpodder/gpodder.spec

SRPM URL: http://jspaleta.thecodergeek.com/Fedora%20SRPMS/gpodder/gpodder-0.8.0-2.src.rpm

Description: <description here>
gPodder is a Podcast receiver/catcher written in Python, using GTK.
It manages podcast feeds for you and automatically downloads all
podcasts from as many feeds as you like.
It also optionally supports syncing with ipods.
Comment 1 Brian Pepple 2006-12-26 11:37:21 EST
Jef, I'll get you a review for this later today.
Comment 2 Brian Pepple 2006-12-26 17:11:54 EST
MD5Sum:
8c58c613d049bd2387e09876c574ebf9  gpodder-0.8.0.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners
* Rpmlint produces no warnings or errors.
* Package builds in Mock fine.
* Package installs and uninstalls cleanly on FC6
* Package seems to work fine, based on a quick test.

Minor Items that should be fixed before building in FE:
* Drop the 'X-Fedora-Extras' category from the desktop file.  It was recently
decided to drop the 'X-Fedora' & 'X-Fedora-Extras' categories.  Refer to the
example at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755
* Drop the Requires on Python, since it is redundant.  The BR on python-devel
will provide python(abi) = 2.4 automatically.  Refer to your build logs for
verification.

Minor:
* Close button on about window does not work.  This isn't a blocker, but
probably at a minimum should be reported upstream.

+1 APPROVE
Comment 3 Jef Spaleta 2006-12-28 01:48:15 EST
Built in the development tree awaiting signing.

Comment 4 Christian Iseli 2007-01-02 18:33:41 EST
Changed summary for tracking purposes.

Note You need to log in before you can comment on or make changes to this bug.